Bug 40097 - FILESAVE Cross-references and TOC links broken in XHTML export
Summary: FILESAVE Cross-references and TOC links broken in XHTML export
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.3 release
Hardware: x86 (IA32) Linux (All)
: low normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:4.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-15 02:06 UTC by Christopher M. Penalver
Modified: 2016-03-03 14:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
JSONMessage-library-manual.odt (51.90 KB, application/vnd.oasis.opendocument.text)
2011-08-15 02:06 UTC, Christopher M. Penalver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-08-15 02:06:28 UTC
Created attachment 50219 [details]
JSONMessage-library-manual.odt

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/122383

OOo bug may be found at:
http://qa.openoffice.org/issues/show_bug.cgi?id=87172

1) lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

2) apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:3.3.3-1ubuntu2
  Candidate: 1:3.3.3-1ubuntu2
  Version table:
 *** 1:3.3.3-1ubuntu2 0
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

apt-cache policy firefox
firefox:
  Installed: 5.0+build1+nobinonly-0ubuntu0.11.04.2
  Candidate: 5.0+build1+nobinonly-0ubuntu0.11.04.2
  Version table:
 *** 5.0+build1+nobinonly-0ubuntu0.11.04.2 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
        500 http://security.ubuntu.com/ubuntu/ natty-security/main i386 Packages
        100 /var/lib/dpkg/status
     4.0+nobinonly-0ubuntu3 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

3) What is expected to happen is when one exports https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/122383/+attachment/1390003/+files/JSONMessage-library-manual.odt to .html the Table of Contents hyperlinks do not refer to non-existent external files when opened with Firefox.

4) What happens instead is they do.
Comment 1 Björn Michaelsen 2011-12-23 12:32:21 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 2 Christopher M. Penalver 2012-01-17 07:05:09 UTC
Reproducible in:
lsb_release -rd
Description: Ubuntu precise (development branch)
Release: 12.04

apt-cache policy libreoffice-impress
libreoffice-impress:
  Installed: 1:3.5.0~beta2-2ubuntu3
  Candidate: 1:3.5.0~beta2-2ubuntu3
  Version table:
 *** 1:3.5.0~beta2-2ubuntu3 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status
Comment 3 Peter Jentsch 2012-11-25 22:30:58 UTC
seems related to fdo#56595. There, the href elements were broken, here it's the "a name" attributes missing or malformed. I'll have a lot at this.
Comment 4 Not Assigned 2012-11-27 23:43:15 UTC
Peter Jentsch committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b75e9576bfaf9f95532f2a9d6917cffbf37a57e0

fix fdo#40097 - Cross-references and TOC links broken in XHTML export



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.